settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', event => {
event.remove({output: 'powah:thermo_generator_blazing'})
event.remove({output: 'powah:magmator_blazing'})
event.remove({output: 'powah:furnator_blazing'})
event.remove({output: 'powah:solar_panel_blazing'})
event.remove({output: 'powah:battery_basic'})
event.remove({output: 'powah:uraninte_raw_poor'})
event.remove({output: 'powah:uraninite'})
event.remove({output: 'mekanismgenerators:bio_generator'})

event.shaped('kubejs:bio_plate', [
  'BHB',
  'HCH',
  'BHB'
], {
  C: 'powah:capacitor_basic',
  B: 'mekanism:bio_fuel',
  H: 'industrialforegoing:plastic'
})

event.shaped('powah:battery_basic', [
  'BBB',
  'CVC',
  'BHB'
], {
  C: 'minecraft:redstone',
  B: 'minecraft:iron_ingot',
  H: 'immersiveengineering:capacitor_lv',
  V: 'minecraft:redstone_block'
})

event.shaped('mekanismgenerators:bio_generator', [
  'DDD',
  'CVC',
  'BBB'
], {
  C: 'powah:capacitor_hardened',
  B: 'kubejs:bio_plate',
  D: 'powah:dielectric_paste',
  V: 'enderioalloys:item_material_vibrant_crystal'
})

event.shaped('powah:thermo_generator_blazing', [
    'BBB',
    'CVC',
    'BHB'
  ], {
    C: 'powah:capacitor_blazing',
    B: 'powah:crystal_blazing',
    H: 'powah:thermo_generator_hardened',
    V: 'enderioalloys:item_material_vibrant_crystal'
  })

  event.shaped('powah:magmator_blazing', [
    'BBB',
    'CVC',
    'BHB'
  ], {
    C: 'powah:capacitor_blazing',
    B: 'powah:crystal_blazing',
    H: 'powah:magmator_hardened',
    V: 'enderioalloys:item_material_vibrant_crystal'
  })

  event.shaped('powah:furnator_blazing', [
    'BBB',
    'CVC',
    'BHB'
  ], {
    C: 'powah:capacitor_blazing',
    B: 'powah:crystal_blazing',
    H: 'powah:furnator_hardened',
    V: 'enderioalloys:item_material_vibrant_crystal'
  })

  event.shaped('powah:solar_panel_blazing', [
    'BBB',
    'CVC',
    'BHB'
  ], {
    C: 'powah:capacitor_blazing',
    B: 'powah:crystal_blazing',
    H: 'powah:solar_panel_hardened',
    V: 'enderioalloys:item_material_vibrant_crystal'
  })

})